Page MenuHomePhabricator

U10. Flow's TOC on RTL wikis aren't spaced for sidebar
Closed, ResolvedPublic2 Story Points

Description

On regular LTR wikis the TOC fills just the horizontal space that posts span. In RTL wikis the TOC is fully right justified without accounting for sidebar space.

Sidebar text also overlays the TOC.

Event Timeline

Negative24 raised the priority of this task from to Needs Triage.
Negative24 updated the task description. (Show Details)
Negative24 added a subscriber: Negative24.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2015, 10:59 PM
Negative24 updated the task description. (Show Details)Mar 21 2015, 11:00 PM
Negative24 set Security to None.
Negative24 renamed this task from Flow's TOC on RTL wikis isn't spaced for sidebar to Flow's TOC on RTL wikis aren't spaced for sidebar.Mar 21 2015, 11:23 PM
Negative24 updated the task description. (Show Details)

@Amire80 You can probably notice that this is from your talk page :)

On which browser does this happen? I couldn't reproduce it on Firefox 36 and Chrome 41.

On which browser does this happen? I couldn't reproduce it on Firefox 36 and Chrome 41.

Chrome OS 41 (which is pretty much the same as Chrome 41)

Sorry, I don't have one, and CrossBrowserTesting doesn't support it and I don't see on Chrome on Fedora.

I can reproduce on Chrome 41 on Ubuntu but works on Firefox 36.0.1 on Ubuntu

Ah, reproduced. This does happen on Chrome 41 in Fedora, but not at the top of the page. It happens if you scroll down.

It's similar to T90378, but IIRC that one happened on Firefox, too, so I'm not sure that it's a dupe.

That is the behavior of the TOC. As you scroll past the top fixed TOC it moves to the side to be a sort of header to the infinite scrolling mechanic.

EBernhardson triaged this task as High priority.Mar 23 2015, 5:55 PM
EBernhardson added a subscriber: EBernhardson.

Looks like this is probably the .css( 'left' ) in modules/engine/components/board/features/flow-board-navigation.js.

DannyH edited a custom field.Mar 30 2015, 6:56 PM
DannyH removed a subscriber: Mattflaschen-WMF.

Let's assign this to Stephane as his first task.

DannyH renamed this task from Flow's TOC on RTL wikis aren't spaced for sidebar to U10. Flow's TOC on RTL wikis aren't spaced for sidebar.Apr 8 2015, 11:40 PM

Change 203462 had a related patch set uploaded (by Sbisson):
Set right position of fixed nav header.

https://gerrit.wikimedia.org/r/203462

Change 203462 merged by jenkins-bot:
Set both left and width of the fixed nav bar.

https://gerrit.wikimedia.org/r/203462

DannyH closed this task as Resolved.Apr 15 2015, 5:57 PM
DannyH added a subscriber: DannyH.

Works on Beta